# Class MessageTracker

java.lang.Object
org.apache.zookeeper.server.util.MessageTracker

public class MessageTracker extends Object
This class provides a way of buffering sentBuffer and receivedBuffer messages in order. It uses EvictingQueue of size BUFFERED_MESSAGE_SIZE to store the messages. When the queue is full it overrides the oldest in a circular manner. This class does doe not provide thread safety.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BUFFERED_MESSAGE_SIZE`
`static final String`
`MESSAGE_TRACKER_BUFFER_SIZE`
`static final String`
`MESSAGE_TRACKER_ENABLED`

## Constructor Summary

Constructors
Constructor
Description
`MessageTracker(int buffer_size)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dumpToLog(String serverAddress)`
`final org.apache.zookeeper.server.util.MessageTracker.BufferedMessage`
`peekReceived()`
`final long`
`peekReceivedTimestamp()`
`final org.apache.zookeeper.server.util.MessageTracker.BufferedMessage`
`peekSent()`
`final long`
`peekSentTimestamp()`
`void`
`trackReceived(int packetType)`
`void`
`trackReceived(long timestamp)`
`void`
`trackSent(int packetType)`
`void`
`trackSent(long timestamp)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MESSAGE_TRACKER_BUFFER_SIZE

public static final String MESSAGE_TRACKER_BUFFER_SIZE

See Also:
  - Constant Field Values

### MESSAGE_TRACKER_ENABLED

public static final String MESSAGE_TRACKER_ENABLED

See Also:
  - Constant Field Values

### BUFFERED_MESSAGE_SIZE

public static final int BUFFERED_MESSAGE_SIZE

## Constructor Details

### MessageTracker

public MessageTracker(int buffer_size)

## Method Details

### trackSent

public void trackSent(long timestamp)

### trackSent

public void trackSent(int packetType)

### trackReceived

public void trackReceived(long timestamp)

### trackReceived

public void trackReceived(int packetType)

### peekSent

public final org.apache.zookeeper.server.util.MessageTracker.BufferedMessage peekSent()

### peekReceived

public final org.apache.zookeeper.server.util.MessageTracker.BufferedMessage peekReceived()

### peekSentTimestamp

public final long peekSentTimestamp()

### peekReceivedTimestamp

public final long peekReceivedTimestamp()

### dumpToLog

public void dumpToLog(String serverAddress)